<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/nav_graph">

    <fragment
        android:id="@+id/nav_canteen"
        android:name="de.sebse.fuplanner2.ui.gallery.GalleryFragment"
        android:label="@string/menu_canteen"
        tools:layout="@layout/fragment_canteen" />

    <fragment
        android:id="@+id/nav_schedule"
        android:name="de.sebse.fuplanner2.ui.schedule.ScheduleFragment"
        android:label="@string/menu_schedule"
        tools:layout="@layout/fragment_schedule"/>
    <fragment
        android:id="@+id/course_events"
        android:name="de.sebse.fuplanner2.ui.details_events.EventsFragment"
        android:label="{title}"
        tools:layout="@layout/fragment_refresh_recycler">
        <argument
            android:name="courseId"
            app:argType="long" />
        <argument
            android:name="title"
            app:argType="string" />
    </fragment>
    <fragment
        android:id="@+id/course_announcements"
        android:name="de.sebse.fuplanner2.ui.details_announcements.AnnouncementsFragment"
        android:label="{title}"
        tools:layout="@layout/fragment_refresh_recycler">
        <argument
            android:name="courseId"
            app:argType="long" />
        <argument
            android:name="title"
            app:argType="string" />
    </fragment>
    <fragment
        android:id="@+id/course_description"
        android:name="de.sebse.fuplanner2.ui.details_description.DescriptionFragment"
        android:label="{title}">
        <argument
            android:name="courseId"
            app:argType="long" />
        <argument
            android:name="title"
            app:argType="string" />
    </fragment>
    <fragment
        android:id="@+id/nav_notifications"
        android:name="de.sebse.fuplanner2.ui.notification.NotificationFragment"
        android:label="@string/menu_notifications"
        tools:layout="@layout/notification_fragment"/>
</navigation>
